      subroutine DMPTAB(N,LENMOD,TABLE,TLEN)
      include 'UNITS.INC'
      integer N,TLEN,LENMOD(N),PAGE,LINE,L,I,LENT,K,J1,II,KK,LL,J
      character TABLE(TLEN)*1
      LINE = 100
      PAGE = 0
      L = 0
      do 130 I = 1, N
         LENT = LENMOD(I)
         K = L+1
         L = L+LENT
         LINE = LINE+1
         if (LINE.le.55) go to 100
         LINE = 1
         PAGE = PAGE+1
         write (PRINTR(MACHNO),5000) PAGE
5000  format ('1',57X,'PAGE ',I3,/' Element Length String'/' ======= ===
     &=== ======'/)
100      continue
         if (LENT.le.50) go to 120
         J1 = LENT/50
         if (LENT-J1*50.ne.0) J1 = J1+1
         do 110 II = 1, J1
            KK = (II-1)*50+1
            LL = KK+49
            if (LL.gt.LENT) LL = LENT
            if (II.eq.1) then
               write (PRINTR(MACHNO),5010) I,LENT,(TABLE(J),J=KK,LL)
            else
               write (PRINTR(MACHNO),5020) (TABLE(J),J=KK,LL)
            endif
5010        format (2X,I4,4X,I4,2X,50A1)
5020        format (16X,50A1)
110      continue
         go to 130
120      continue
         write (PRINTR(MACHNO),5010) I,LENT,(TABLE(J),J=K,L)
130   continue
      return
      end
